<?php

namespace Drupal\layout_builder_ipe\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Validation constraint for layout builder enabled content entities.
 *
 * The idea is, that merely updating the content of an entity field should not
 * be sufficient to trigger a changed warning. Better would be if the actual
 * layout configuration can be looked at additionally to the timestamp.
 */
class LayoutBuilderEntityChangedConstraint extends Constraint {

  public $message = 'The content has either been modified by another user, or you have already submitted modifications. As a result, your changes cannot be saved.';

}
